Vtiful\Kernel\Excel fileName

- « Vtiful\Kernel\Excel::data

- Vtiful\Kernel\Excel::getHandle »

- PHP Manual
- Vtiful\Kernel\Excel
- Vtiful\Kernel\Excel fileName

# Vtiful\Kernel\Excel::fileName

(PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Excel::fileName — Vtiful\Kernel\Excel fileName

### Description

public Vtiful\Kernel\Excel::fileName(string `$fileName`, string `$sheetName` = ?)

Create a brand new xlsx file and create a worksheet.

### Parameters

`fileName`

  XLSX file name

`sheetName`

  Worksheet name

### Return Values

Vtiful\Kernel\Excel instance

### Examples

Example #1 example

    <?php$config = [  'path' => '/home/viest'];$fileObject = new \Vtiful\Kernel\Excel($config);$file = $instance->fileName('tutorial.xlsx', 'sheet');?>